Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server
Class ServerProperties

    java.lang.Object
      edu.stanford.smi.protege.server.ServerProperties

    public class ServerProperties

extends Object

This class is a central repository of the server properties. The server has a huge collection of properties that can be used to set its configuration. We have put all these properties in a central place to ease the problem of documenting these properties. I plan to add a listing of all of these properties to a wiki page soon.

Author:
  tredmond

Field Summary
`static String` | `DELAY_KBS_DOWNLOAD`
`static String` | `DELAY_KBS_UPLOAD`
`static String` | `DELAY_MSEC`
`static String` | `DISABLE_HEARTBEAT`
`static String` | `METAPROJECT_LAST_ACCESS_TIME_UPDATE_FREQUENCY`
`static String` | `PRELOAD_FRAME_LIMIT`
`static String` | `PROTEGE_RMI_TOO_SMALL_TO_COMPRESS`
`static String` | `PROTEGE_RMI_USE_COMPRESSION`
`static String` | `REGISTRY_LOCAL_PORT`
`static String` | `REGISTRY_PORT`
`static String` | `SERVER_ALLOW_CREATE_USERS`
`static String` | `SERVER_LOCAL_PORT`
`static String` | `SERVER_NEW_PROJECTS_SAVE_DIRECTORY_PROTEGE_PROPERTY`
`static String` | `SERVER_PORT`
`static String` | `SKIP_PRELOAD`
`static String` | `TX_LEVEL`
`static String` | `USER_PRELOAD`

Constructor Summary
`ServerProperties()`

Method Summary
`static int` | `delayInMilliseconds()`
`static boolean` | `getAllowsCreateUsers()`
`static String` | `getDefaultNewProjectSaveDirectory()`
`static TransactionIsolationLevel` | `getDefaultTransactionIsolationLevel()`
`static int` | `getKiloBytesPerSecondDownload()`
`static int` | `getKiloBytesPerSecondUpload()`
`static long` | `getMetaProjectLastAccessTimeUpdateFrequency()`
`static int` | `getPreloadFrameLimit()`
`static boolean` | `heartbeatDisabled()`
`static Set<String>` | `preloadUserFrames()`
`static boolean` | `skipPreload()`
`static int` | `tooSmallToCompress()`
`static boolean` | `useCompression()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_PORT

    public static final String SERVER_PORT

See Also:
  Constant Field Values

### SERVER_LOCAL_PORT

    public static final String SERVER_LOCAL_PORT

See Also:
  Constant Field Values

### REGISTRY_PORT

    public static final String REGISTRY_PORT

See Also:
  Constant Field Values

### REGISTRY_LOCAL_PORT

    public static final String REGISTRY_LOCAL_PORT

See Also:
  Constant Field Values

### USER_PRELOAD

    public static final String USER_PRELOAD

See Also:
  Constant Field Values

### SKIP_PRELOAD

    public static final String SKIP_PRELOAD

See Also:
  Constant Field Values

### DELAY_MSEC

    public static final String DELAY_MSEC

See Also:
  Constant Field Values

### DELAY_KBS_DOWNLOAD

    public static final String DELAY_KBS_DOWNLOAD

See Also:
  Constant Field Values

### DELAY_KBS_UPLOAD

    public static final String DELAY_KBS_UPLOAD

See Also:
  Constant Field Values

### PRELOAD_FRAME_LIMIT

    public static final String PRELOAD_FRAME_LIMIT

See Also:
  Constant Field Values

### DISABLE_HEARTBEAT

    public static final String DISABLE_HEARTBEAT

See Also:
  Constant Field Values

### TX_LEVEL

    public static final String TX_LEVEL

See Also:
  Constant Field Values

### SERVER_ALLOW_CREATE_USERS

    public static final String SERVER_ALLOW_CREATE_USERS

See Also:
  Constant Field Values

### SERVER_NEW_PROJECTS_SAVE_DIRECTORY_PROTEGE_PROPERTY

    public static final String SERVER_NEW_PROJECTS_SAVE_DIRECTORY_PROTEGE_PROPERTY

See Also:
  Constant Field Values

### PROTEGE_RMI_USE_COMPRESSION

    public static final String PROTEGE_RMI_USE_COMPRESSION

See Also:
  Constant Field Values

### PROTEGE_RMI_TOO_SMALL_TO_COMPRESS

    public static final String PROTEGE_RMI_TOO_SMALL_TO_COMPRESS

See Also:
  Constant Field Values

### METAPROJECT_LAST_ACCESS_TIME_UPDATE_FREQUENCY

    public static final String METAPROJECT_LAST_ACCESS_TIME_UPDATE_FREQUENCY

See Also:
  Constant Field Values

Constructor Detail

### ServerProperties

    public ServerProperties()

Method Detail

### skipPreload

    public static boolean skipPreload()

### preloadUserFrames

    public static Set<String> preloadUserFrames()

### heartbeatDisabled

    public static boolean heartbeatDisabled()

### getPreloadFrameLimit

    public static int getPreloadFrameLimit()

### getDefaultTransactionIsolationLevel

    public static TransactionIsolationLevel getDefaultTransactionIsolationLevel()

### getAllowsCreateUsers

    public static boolean getAllowsCreateUsers()

### getDefaultNewProjectSaveDirectory

    public static String getDefaultNewProjectSaveDirectory()

### useCompression

    public static boolean useCompression()

### tooSmallToCompress

    public static int tooSmallToCompress()

### delayInMilliseconds

    public static int delayInMilliseconds()

### getKiloBytesPerSecondDownload

    public static int getKiloBytesPerSecondDownload()

### getKiloBytesPerSecondUpload

    public static int getKiloBytesPerSecondUpload()

### getMetaProjectLastAccessTimeUpdateFrequency

    public static long getMetaProjectLastAccessTimeUpdateFrequency()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.